
package de.ivu.elect.business.niederschrift.control;

import java.util.Date;

import javax.inject.Inject;

import de.ivu.elect.business.niederschrift.boundary.NiederschriftDAO;
import de.ivu.elect.business.niederschrift.entity.NiederschriftKorrektur;

public class NiederschriftKorrekturCreate extends AbstractNiederschriftKorrekturCreate {

  @Inject
  private NiederschriftDAO niederschriftDAO;



  @Override
  public void save(NiederschriftKorrektur entity) {

    entity.setZeitstempel(new Date());
    entity.setNiederschrift(niederschriftDAO.attach(entity.getNiederschrift()));

    super.save(entity);

  }

}
